Introduction

REST API

Voiso

API v4 lets you integrate your contact center with external systems such as CRMs, ticketing tools, data warehouses, and custom applications.

The

Voiso
APIs follow a conventional REST architecture, making it compatible with any programming language. Use these APIs for secure and reliable data access and the ability to manage features, settings, and entities within a contact center.

You can download the

Voiso
API JSON file here.

Use the API to automate day-to-day operations, synchronize configuration, and build reporting workflows.

Base URL and versioning

All v4 requests use:

https://{cluster_id}.voiso.com/api/v4

See: Base URL

Authentication

All endpoints require an API key sent as a Bearer token:

Authorization: Bearer <generated_api_key>

❗️

Bearer tokens now use generated scoped API keys instead of the contact center key or a user specific key. Refer to the Authentication article.

Common response patterns

Most list endpoints return an array plus metadata.total.

Example:

{
  "items": [],
  "metadata": { "total": 0 }
}

Many endpoints return errors as:

  • Simple errors: { "error": "Unauthorized" }
  • Validation errors: { "errors": { "field": ["message"] } }

See: Error codes

What you can do with API v4

API v4 endpoints are organized by functional areas.

Reporting

Retrieve interaction records and supporting details for audits and analytics:

  • Call Detail Records (CDRs)
  • CDR events
  • Speech Analytics

Messaging

Work with digital conversations and messaging assets:

  • Conversations and messages
  • Channel profiles
  • Canned messages
  • WhatsApp templates
  • SMS

Routing and users

Retrieve routing and identity objects used across the platform:

  • Queues, skills
  • Users, teams and assignments

Campaigns

Manage Dialer campaigns, control campaign lifecycle, and manage leads.

Tasks

Manage webhook configuration and monitor webhook delivery failures.

Billing

Retrieve billing balance information for the contact center.

Make your first request

curl -X GET "https://{cluster_id}.voiso.com/api/v4/users?limit=1&offset=0" \
  -H "Authorization: Bearer <generated_api_key>" \
  -H "Content-Type: application/json"

Next steps

Webhooks

The

Voiso
webhooks enable real-time information delivery to external applications. The
Voiso
Webhooks are designed to send notifications whenever events occur in your contact center, allowing you to create automated tasks.

  • Outbound call events: Triggers when an outbound call event occurs.
  • Inbound call events: Triggers when an inbound call event occurs.
  • Dialer call events: Triggers when a Dialer call event occurs.
  • Digital interaction events: Triggers when a digital interaction message or conversation occurs.
  • Call Notify: When a new call occurs,
    Voiso
    sends a notification (event) to your system. The event is triggered for outbound calls when the contact answers the call. Inbound calls are triggered when an agent connects to the call. (Deprecated)
  • Call outcome logging:
    Voiso
    sends call details to your system at the end of a call. (Deprecated)

Data Transfer Services

The

Voiso
data transfer services seamlessly integrate with Amazon Web Services (AWS): Simple Storage Service (Amazon S3) handles data storage, and Simple Query Service (Amazon SQS) provides post-processing capabilities.

Utilize the

Voiso
pre-built integration to replicate your contact center data to your AWS instance.

Integrating Omnichannel Agent Workspace into your applications

The

Voiso
Omnichannel Workspace provides a unified platform for agents to seamlessly manage customer interactions across various communication channels. You can integrate the Omnichannel Agent Workspace into your application using an iframe.

This guide will help you integrate the

Voiso
Omnichannel Agent Workspace into your CRM applications using
Voiso
's iframe, API, and webhook capabilities.

Omnichannel Integration Guide